import { Player } from "@prisma/client"
import bcrypt from "bcrypt"
import errors from "../errors"
import sendError, { API } from "./sendError"

export default async function checkPasswordIsValid(
  context: API,
  player: Player,
  password: string,
  next: () => void
) {
  // Validate for correct password
  const result = await bcrypt.compare(password, player.passwordHash)
  if (!result) return sendError(context, errors.wrongPassword)

  return next()
}
