import sendError, { API } from "./sendError"
import { RawToken } from "./createTokenDB"

async function getTokenFromBody(
  context: API,
  next: (accessToken: RawToken) => void
) {
  const body = JSON.parse(context.req.body)
  // Checking for cookie presens, because it is necessary
  if (
    typeof body !== "object" ||
    !body ||
    !("token" in body) ||
    typeof body.token !== "string"
  )
    return sendError(context, {
      message: "Unauthorized. No Access-Token.",
      statusCode: 401,
      solved: true,
    })
  const value = body.token

  return next({ value, type: "ACCESS" })
}

export default getTokenFromBody
