import errors from "../errors"
import { RawToken } from "./createTokenDB"
import sendError, { API } from "./sendError"

async function getTokenFromCookie(
  context: API,
  next: (refreshToken: RawToken) => void
) {
  const value = context.req.cookies.token

  // Checking for cookie presens, because it is necessary
  if (!value) return sendError(context, errors.noCookie)

  return next({ value, type: "REFRESH" })
}

export default getTokenFromCookie
