import sendError, { API } from "./sendError"
import errors from "../errors"

async function getUserFromBody(
  context: API,
  next: (username: string, password: string) => void
) {
  const body = JSON.parse(context.req.body)
  if (
    typeof body !== "object" ||
    !body ||
    !("username" in body) ||
    typeof body.username !== "string"
  )
    return sendError(context, errors.noUsername)
  const { username } = body
  if (!("password" in body) || typeof body.password !== "string")
    return sendError(context, errors.noPassword)
  const { password } = body

  return next(username, password)
}

export default getUserFromBody
