import { NextApiRequest, NextApiResponse } from "next"
import logging from "../logging"

export interface API {
  req: NextApiRequest
  res: NextApiResponse
}

export default function sendError(context: API, err: any) {
  const { res, req } = context
  // If something went wrong, let the client know with status 500
  res.status(err.statusCode ?? 500).end()
  logging(err.message, [err.type ?? (err.solved ? "debug" : "error")], req)
  if (err.name) console.log(err)
}
