import logging, { Logging } from "../logging"
import type { API } from "./sendError"

export interface Result<T> {
  message: string
  statusCode?: number
  body?: T
  type?: Logging[]
}

export default function sendResponse<T>(context: API, result: Result<T>) {
  const { req, res } = context
  res.status(result.statusCode ?? 200)
  result.body ? res.json(result.body) : res.end()
  logging(result.message, result.type ?? ["debug"], req)
}
