async function getAccessToken() {
  const response = await fetch("/api/auth", {
    method: "GET",
  })
  const res = await response.json()

  if (
    typeof res === "object" &&
    res &&
    "token" in res &&
    typeof res.token === "string"
  )
    return res.token

  throw new Error("Access token not found")
}

export default getAccessToken
